Bug 352651 - [fix available] OpenOffice.org writer mail merge database file dialog "All files" does not work
[fix available] OpenOffice.org writer mail merge database file dialog "All fi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On: 334841
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 12:33 EDT by Jeff Bastian
Modified: 2010-10-22 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:24:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2007-10-25 12:33:38 EDT
+++ This bug was initially created as a clone of Bug #334841 +++

Description of problem:
In OpenOffice.org 2.0.4 writer, when selecting a database file for a mail merge
document. The Open dialog does not show any files when the "All files" filter is
selected. If the filter is changed to a particular file type, then files of the
selected type shows up.

The problem is that NO files are shown when the "All files" filter is selected,
even though there are files in the directory. As soon as ANY specific file type
is selected in the filter drop down, files of that type show up in the dialog.
If "All files" is selected again, NO files are shown.

Version-Release number of selected component (if applicable):
openoffice.org-*-2.0.4-5.4.24


How reproducible:
always

Steps to Reproduce:

1 create the following files in a directory: test.csv, test.txt, test.xls (empty
is fine)
2 Start OpenOffice.org Writer which should open with a new blank document
3 Select Mail Merge Wizard from the Tools menu
4 In the Mail Merge Wizard, select Use current document and click Next
5 Select Letter and click Next ( this option alone is seen on FC8 )
6 Click the Select Address List... button in the top right
7 Click the Add... button in the top right
8 Navigate to the directory with the files created earlier in the Open dialog
9 With All files selected, none of the earlier created files are visible
10 If Microsoft Excel is selected in the filter, the .xls file becomes visible
11 Similarly with Comma Separated Values, and Text document
12 If All files is selected again, no files are visible

Actual results:
NO files are shown when the "All files" filter is selected

Expected results:
all files should be shown when the "All files" filter is selected

Additional info:
This patch fixes the issue.
http://cvs.fedoraproject.org/viewcvs/rpms/openoffice.org/devel/workspace.fpicker7.patch?rev=1.1&sortby=date&view=markup
Comment 1 RHEL Product and Program Management 2007-10-25 12:44:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Caolan McNamara 2007-10-25 15:39:47 EDT
We're resyncing OOo to 2.3.0 for RHEL-5.2 so this will be part of that anyway.
Comment 4 Caolan McNamara 2007-11-20 08:02:47 EST
In 2.3.0 by virtue of rebase
Comment 8 errata-xmlrpc 2008-05-21 13:24:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0463.html

Note You need to log in before you can comment on or make changes to this bug.